Page MenuHomePhabricator

Invalid diff mode should be ignored
Closed, ResolvedPublic1 Estimated Story Points

Description

On https://de.wikipedia.beta.wmflabs.org/w/index.php?title=Benutzer:Raymond&curid=1239&diff=20583&oldid=20582&visualdiff&diffmode=foo (note the invalid parameter for diffmode), no button in the diff mode switcher is selected. While this is only a minor visual glitch and switching works as expected, in such a case the invalid parameter should be ignored (which here means that the Wikitext button should be selected).

Event Timeline

Schnark created this task.Aug 16 2017, 7:04 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 16 2017, 7:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Low priority.Aug 22 2017, 2:11 PM
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
DLynch claimed this task.Feb 22 2018, 5:43 PM
DLynch raised the priority of this task from Low to Medium.
DLynch moved this task from TR6: Visual diffs to Current work on the VisualEditor board.
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 413420 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DiffPage.init: Enforce a valid diff mode

https://gerrit.wikimedia.org/r/413420

Change 413420 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DiffPage.init: Enforce a valid diff mode

https://gerrit.wikimedia.org/r/413420

Deskana closed this task as Resolved.Feb 23 2018, 10:45 AM